Skip to main content
POST
/
v1
/
products
/
bulk
Bulk Upsert Products
curl --request POST \
  --url https://clientapi.retailgrid.io/v1/products/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "product_name": "<string>",
      "manufacturer": "<string>",
      "product_group": "<string>",
      "brand": "<string>",
      "status": "<string>",
      "product_type": "<string>",
      "catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "image_url": "<string>",
      "product_url": "<string>",
      "product_created_date": "2023-12-25",
      "tax_rate": 123,
      "product_id": "<string>"
    }
  ]
}
'
{
  "results": [
    {
      "index": 123,
      "ok": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retailgrid API keys are prefixed with rg_live_. Pass them as Authorization: Bearer <key>.

Body

application/json
items
ProductBulkItem · object[]

Response

Successful Response

results
BulkItemResult · object[]